Lancer script AutoCAD à partir deVBA

francois91

XLDnaute Occasionnel
Bonjours,
Je rencontre actuellement un probléme avec le lancement d'un script. A partir de VBA je crée un fichier script, je lance autocad, j'ouvre un fichier type à ouvrir mais je ne sais pas comment lancer le script dans mon fichier que je viens d'ouvrir.

Si quelqu un pouvait m'aider!!! merci d'avance

ps: je connais une méthode avec shell( ...exe /b "c:\traceur\trauto.scr")
mais ce n'ai pas adapté a ma situation
 

francois91

XLDnaute Occasionnel
Re : Lancer script AutoCAD à partir deVBA

Merci pour le conseil skooby j y avais pas pensé, malheureusement la seule solution qui marche n'est pas adaptée a ma situation, c'est d'utiliser la fonction shell au niveau de "l'icone d'ouverture du programme" mais n'etant pas administrateur de mon pc je ne peux pas l'utiliser.

Sinon j ai réussi envyer la commande pour ouvrir un script sur autoCAD, mes rechercher avance doucement

Je met donc le code au cas ou quelqu un serai interessé

Set AcadApp = New AutoCAD.AcadApplication ouverture d'autocad
AcadApp.Visible = True
AcadApp.Documents.Open "c:\traceur\fichier a ouvrir.dwg" ouverture d'un dessin
Set AcadDoc = GetObject(, "Autocad.Application").ActiveDocument
AcadDoc.SendCommand ("script" + " " + " ") ajout de la command script qui demande quel script ouvrir
AcadDoc.SendCommand ("'_.zoom _e" + " " + " ") zoom pour avoir tout le dessin sous les yeux.


ps: pendant mon programme j'ai aussi créé une procédure pour faire la somme trois courbe quelqu un sait comment j pourrai en faire profiter les autre sur ce site(de maniére efficace).
 

francois91

XLDnaute Occasionnel
Re : Lancer script AutoCAD à partir deVBA

Voici mon code pour ceux qui sont interessé

Set AcadApp = New AutoCAD.AcadApplication
AcadApp.Visible = True
AcadApp.Documents.Open "c:\traceur\fichier a ouvrir.dwg"

Set AcadDoc = GetObject(, "Autocad.Application").ActiveDocument
AcadDoc.SendCommand ("'filedia 0 ")
AcadDoc.SendCommand ("'script c:\traceur\trauto.scr " + " ")
AcadDoc.SendCommand ("'filedia 1 ")
AcadDoc.SendCommand ("'_.zoom _e" + " ")
 

Discussions similaires

Réponses
5
Affichages
2 K

Statistiques des forums

Discussions
312 896
Messages
2 093 387
Membres
105 716
dernier inscrit
jrmdprt